c++-gtk-utils

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Cgu::ScopedHandle< T, Dealloc > Member List

This is the complete list of members for Cgu::ScopedHandle< T, Dealloc >, including all inherited members.

get() const | Cgu::ScopedHandle< T, Dealloc > | inline
operator T() const | Cgu::ScopedHandle< T, Dealloc > | inline
operator=(const ScopedHandle &)=delete | Cgu::ScopedHandle< T, Dealloc > |
release() | Cgu::ScopedHandle< T, Dealloc > | inline
reset(T ptr=0) | Cgu::ScopedHandle< T, Dealloc > | inline
ScopedHandle(const ScopedHandle &)=delete | Cgu::ScopedHandle< T, Dealloc > |
ScopedHandle(T ptr=0) | Cgu::ScopedHandle< T, Dealloc > | inline explicit
~ScopedHandle() | Cgu::ScopedHandle< T, Dealloc > | inline